Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 1117476 - (Horde_Mail_Autoconfig) Review Request: php-horde-Horde-Mail-Autoconfig - Horde Mail Autoconfiguration
Review Request: php-horde-Horde-Mail-Autoconfig - Horde Mail Autoconfiguration
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Haïkel Guémar
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2014-07-08 15:08 EDT by Remi Collet
Modified: 2014-08-07 07:48 EDT (History)
2 users (show)

See Also:
Fixed In Version: php-horde-Horde-Mail-Autoconfig-1.0.0-1.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-01 02:01:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
karlthered: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Remi Collet 2014-07-08 15:08:49 EDT
Spec URL: https://raw.githubusercontent.com/remicollet/remirepo/5f06fd702699cb753934b26b81619c379e3ae342/php/horde/php-horde-Horde-Mail-Autoconfig/php-horde-Horde-Mail-Autoconfig.spec
SRPM URL: http://rpms.famillecollet.com/SRPMS/php-horde-Horde-Mail-Autoconfig-1.0.0-1.remi.src.rpm
Description: 
Attempts to automatically determine configuration options for various
remote mail services (IMAP/POP3/SMTP).

Fedora Account System Username: remi
Comment 1 Remi Collet 2014-07-08 15:09:44 EDT
I will clean EL-5 stuff after import.

This is a new dependency of Horde_Core 2.12.0 (for Horde 6.2)

I prefer to keep CamelCase name for consistency with other horde packages.
Comment 2 Haïkel Guémar 2014-07-21 12:32:24 EDT

Since this package complies with Fedora general and PHP specific guidelines, I hereby approve it into Fedora Packages Collection. Please go forward with the scm request. 

I took packager comments into account, I have full confidence that Remi will cleanup thel EL-5 after import

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 17 files have unknown license. Detailed output of
     licensecheck in /home/haikel/1118273-php-horde-Horde-OpenXchange/1117476
     -php-horde-Horde-Mail-Autoconfig/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[-]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required
[x]: Sources contain only permissible code or content.
[x]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 30720 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: Buildroot is not present
     Note: Buildroot: present but not needed
[-]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: %clean present but not required
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.

PHP:
[!]: Run phpci static analyze on all php files.
     Note: phpcompatinfo not found. Install php-bartlett-PHP-CompatInfo
     package to get a more comprehensive php review.
     See: url: undefined


Rpmlint
-------
Checking: php-horde-Horde-Mail-Autoconfig-1.0.0-1.fc20.noarch.rpm
          php-horde-Horde-Mail-Autoconfig-1.0.0-1.fc20.src.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint php-horde-Horde-Mail-Autoconfig
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
# echo 'rpmlint-done:'



Requires
--------
php-horde-Horde-Mail-Autoconfig (rpmlib, GLIBC filtered):
    /bin/sh
    /usr/bin/pear
    php(language)
    php-channel(pear.horde.org)
    php-pear(Net_DNS2)
    php-pear(PEAR)
    php-pear(pear.horde.org/Horde_Exception)
    php-pear(pear.horde.org/Horde_Http)
    php-pear(pear.horde.org/Horde_Imap_Client)
    php-pear(pear.horde.org/Horde_Mail)
    php-pear(pear.horde.org/Horde_Smtp)
    php-simplexml



Provides
--------
php-horde-Horde-Mail-Autoconfig:
    php-horde-Horde-Mail-Autoconfig
    php-pear(pear.horde.org/Horde_Mail_Autoconfig)



Source checksums
----------------
http://pear.horde.org/get/Horde_Mail_Autoconfig-1.0.0.tgz :
  CHECKSUM(SHA256) this package     : 9985f2a0708bf20b5e7aaeadd3d8b650105da004a171d2ea6830ac2a93b9e352
  CHECKSUM(SHA256) upstream package : 9985f2a0708bf20b5e7aaeadd3d8b650105da004a171d2ea6830ac2a93b9e352
Comment 3 Remi Collet 2014-07-21 12:34:18 EDT
Thanks for the review !

New Package SCM Request
=======================
Package Name: php-horde-Horde-Mail-Autoconfig
Short Description: Horde Mail Autoconfiguration
Upstream URL: http://www.horde.org/
Owners: remi
Branches: f20 f21 el6 epel7
InitialCC:
Comment 4 Gwyn Ciesla 2014-07-21 16:11:19 EDT
Git done (by process-git-requests).
Comment 5 Fedora Update System 2014-07-22 03:00:19 EDT
php-horde-Horde-Mail-Autoconfig-1.0.0-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/php-horde-Horde-Mail-Autoconfig-1.0.0-1.el6
Comment 6 Fedora Update System 2014-07-22 03:00:25 EDT
php-horde-Horde-Mail-Autoconfig-1.0.0-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/php-horde-Horde-Mail-Autoconfig-1.0.0-1.fc20
Comment 7 Fedora Update System 2014-07-22 14:08:24 EDT
php-horde-Horde-Mail-Autoconfig-1.0.0-1.el6 has been pushed to the Fedora EPEL 6 testing repository.
Comment 8 Fedora Update System 2014-08-01 02:01:38 EDT
php-horde-Horde-Mail-Autoconfig-1.0.0-1.fc20 has been pushed to the Fedora 20 stable repository.
Comment 9 Fedora Update System 2014-08-07 07:48:42 EDT
php-horde-Horde-Mail-Autoconfig-1.0.0-1.el6 has been pushed to the Fedora EPEL 6 stable repository.

Note You need to log in before you can comment on or make changes to this bug.